API
Google Search API
The AI-powered Google provides 360° Global Media Data & Intelligence on Google Search, Google News, advertisers, SEO professionals, and content discoverability teams.
APIリファレンス バージョン: 1.0.0 6 エンドポイント 認証
ベース URL
https://pressmonitor.com/api 認証
すべてのリクエストには x-api-key と x-subscription-id ヘッダーが必要です。x-api-key はアカウントを認証し、x-subscription-id は購読サービスを選択します。
x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/google_autocomplete Google Search Autocomplétion
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| text | string | query | はい | Query text |
コード例
curl -X GET \
"https://pressmonitor.com/api/google_autocomplete?text=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" レスポンス
200 Success
GET
/google_search_web Google Search Recherche Web
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| text | string | query | はい | Query text |
| region | string | query | いいえ | Region code |
| safesearch | string | query | いいえ | SafeSearch filter |
| timelimit | string | query | いいえ | Time limit |
| max_results | integer | query | いいえ | Maximum number of results |
コード例
curl -X GET \
"https://pressmonitor.com/api/google_search_web?text=VALUE®ion=VALUE&safesearch=VALUE&timelimit=VALUE&max_results=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" レスポンス
200 Success
GET
/google_search_news Google Search Recherche Actualités
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| text | string | query | はい | Query text |
| region | string | query | いいえ | Region code |
| max_results | integer | query | いいえ | Maximum number of results |
コード例
curl -X GET \
"https://pressmonitor.com/api/google_search_news?text=VALUE®ion=VALUE&max_results=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" レスポンス
200 Success
GET
/google_search_images Google Search Recherche Images
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| text | string | query | はい | Query text |
| region | string | query | いいえ | Region code |
| safesearch | string | query | いいえ | SafeSearch filter |
| timelimit | string | query | いいえ | Time limit |
| max_results | integer | query | いいえ | Maximum number of results |
| color | string | query | いいえ | Color |
| size | string | query | いいえ | Size |
| image_type | string | query | いいえ | Image type |
| layout | string | query | いいえ | Layout |
コード例
curl -X GET \
"https://pressmonitor.com/api/google_search_images?text=VALUE®ion=VALUE&safesearch=VALUE&timelimit=VALUE&max_results=VALUE&color=VALUE&size=VALUE&image_type=VALUE&layout=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" レスポンス
200 Success
GET
/google_search_videos Google Search Recherche Vidéos
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| text | string | query | はい | Query text |
| region | string | query | いいえ | Region code |
| safesearch | string | query | いいえ | SafeSearch filter |
| timelimit | string | query | いいえ | Time limit |
| max_results | integer | query | いいえ | Maximum number of results |
| resolution | string | query | いいえ | Resolution |
| duration | string | query | いいえ | Duration |
コード例
curl -X GET \
"https://pressmonitor.com/api/google_search_videos?text=VALUE®ion=VALUE&safesearch=VALUE&timelimit=VALUE&max_results=VALUE&resolution=VALUE&duration=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" レスポンス
200 Success
GET
/google_search_maps Google Search Recherche Cartes
パラメータ
| 名前 | タイプ | 場所 | 必須 | 説明 |
|---|---|---|---|---|
| text | string | query | はい | Query text |
| place | string | query | いいえ | Place |
| street | string | query | いいえ | Street |
| city | string | query | いいえ | City |
| state | string | query | いいえ | State |
| country | string | query | いいえ | Country code |
| postalcode | string | query | いいえ | Postalcode |
| latitude | string | query | いいえ | Latitude |
| longitude | string | query | いいえ | Longitude |
| radius | string | query | いいえ | Radius |
コード例
curl -X GET \
"https://pressmonitor.com/api/google_search_maps?text=VALUE&place=VALUE&street=VALUE&city=VALUE&state=VALUE&country=VALUE&postalcode=VALUE&latitude=VALUE&longitude=VALUE&radius=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" レスポンス
200 Success
